Bug 784281 - feature request: include libpgport.a in postgresql-devel (or its dynamic version somewhere)
feature request: include libpgport.a in postgresql-devel (or its dynamic vers...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 1305979 1307992 1304782 1314796 1328417
  Show dependency treegraph
 
Reported: 2012-01-24 08:13 EST by Jan Holcapek
Modified: 2016-04-19 06:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1304782 1305979 (view as bug list)
Environment:
Last Closed: 2016-02-26 03:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add a static subpackage (1.70 KB, text/plain)
2014-05-30 08:16 EDT, Sam Kottler
no flags Details

  None (edit)
Description Jan Holcapek 2012-01-24 08:13:39 EST
Description of problem:
libpgport.a library is required by couple of 3rd party packages to build
(pg_bulkload among others), and it would be nice to have this library built
as part of postgresql-devel


Version-Release number of selected component (if applicable):
any version-release of postgresql-devel included in recent Fedora or Rawhide


How reproducible:
n/a


Steps to Reproduce:
n/a

  
Actual results:
libpgport.a missing in postgresql-devel


Expected results:
libpgport.a present in postgresql-devel


Additional info:
n/a
Comment 1 robert.voigt 2013-01-25 10:18:14 EST
I need it too for building repmgr.
Comment 2 Fedora End Of Life 2013-04-03 13:49:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Admin XMLRPC Client 2013-05-09 10:06:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2013-05-16 05:59:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Pavel Raiskup 2013-08-09 10:45:29 EDT
Note the upstream thread:

http://www.postgresql.org/message-id/4EE2338F.1040302@dunslane.net

FWIW, I think we should go the dynamic library way in future.
Comment 6 Sam Kottler 2014-05-30 08:16:59 EDT
Created attachment 900792 [details]
Add a static subpackage
Comment 7 Sam Kottler 2014-05-30 08:18:42 EDT
I just uploaded a patch which adds a static subpackage. Thoughts?
Comment 8 Pavel Raiskup 2014-06-25 06:37:43 EDT
(In reply to Sam Kottler from comment #7)
> I just uploaded a patch which adds a static subpackage. Thoughts?

Sam, haven't you tried to propose upstream patch which would allow us to build
dynamic libpgport.so?  Personally, I am not strictly against it but probably
we should give the patch try.

Pavel
Comment 9 Nick Carboni 2016-02-03 14:26:27 EST
Pavel regarding our conversation earlier today:

As it stands it seems like this bug is preventing building any extension using pgxs.

The following commands import pgxs.mk into the extension Makefile

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

By doing this pgxs/src/Makefile.global also is imported which sets $(LIBS) to include "-lpgcommon" and "-lpgport"

It seems that by removing the *.a files any extension build using the above make commands will unconditionally fail with scl postgresql-devel.

Is there a workaround for building extensions using the scl postgresql-devel package or must we use the postgres rpms from the PGDG repos (which include these particular .a files) if we want to build external extensions?
Comment 10 Pavel Raiskup 2016-02-04 10:24:39 EST
(In reply to Nick Carboni from comment #9)
> Pavel regarding our conversation earlier today:
> 
> As it stands it seems like this bug is preventing building any extension
> using pgxs.

Not all extensions (really) require pgcommon.a and pgport.a.

> The following commands import pgxs.mk into the extension Makefile
> 
> PGXS := $(shell $(PG_CONFIG) --pgxs)
> include $(PGXS)
> 
> By doing this pgxs/src/Makefile.global also is imported which sets $(LIBS)
> to include "-lpgcommon" and "-lpgport"
>
> It seems that by removing the *.a files any extension build using the above
> make commands will unconditionally fail with scl postgresql-devel.

Also with non-scl, yes.

> Is there a workaround for building extensions using the scl postgresql-devel
> package or must we use the postgres rpms from the PGDG repos (which include
> these particular .a files) if we want to build external extensions?

There is IMO no work-around.  You could filter-out the -l* flags, but
that is not what you want as you need those static libraries.
Comment 11 Nick Carboni 2016-02-04 10:30:44 EST
> Also with non-scl, yes.

This is not true, the PGDG postgresql*-devel package supplies these packages.
Comment 12 Pavel Raiskup 2016-02-04 10:32:35 EST
.. right, I was talking about Fedora/RHEL packages, not PGDG.
Comment 13 Dave Johansen 2016-02-05 15:51:55 EST
I would like to package repmgr in EPEL 6/7 but this same issue exists there. Should I open a separate bugzilla against RHEL?
Comment 14 Pavel Raiskup 2016-02-09 04:51:13 EST
Dave, you can definitely clone the bug for the record;  but I can't promise it
will be fixed -- bugzilla is just bug/feature tracking tool.  For Red Hat
Enterprise Linux issues, it is important to contact our support channels.

Note You need to log in before you can comment on or make changes to this bug.